﻿<GenericInquiryScreen>
    <data-set>
        <relations format-version="3" relations-version="20190410" main-table="GIDesign" stable-sharing="True" file-name="(Name)">
            <link from="GIFilter (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIGroupBy (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIMassAction (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIMassUpdateField (DesignID)" to="GIDesign (DesignID)" />
            <link from="GINavigationScreen (DesignID)" to="GIDesign (DesignID)" />
            <link from="GINavigationParameter (DesignID, NavigationScreenLineNbr)" to="GINavigationScreen (DesignID, LineNbr)" />
            <link from="GIOn (DesignID, RelationNbr)" to="GIRelation (DesignID, LineNbr)" />
            <link from="GIRecordDefault (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIRelation (DesignID, ParentTable)" to="GITable (DesignID, Alias)" />
            <link from="GIRelation (DesignID, ChildTable)" to="GITable (DesignID, Alias)" />
            <link from="GIResult (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIResult (ObjectName, DesignID)" to="GITable (Alias, DesignID)" />
            <link from="GISort (DesignID)" to="GIDesign (DesignID)" />
            <link from="GITable (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIWhere (DesignID)" to="GIDesign (DesignID)" />
            <link from="SiteMap (Url)" to="GIDesign (DesignID)" type="WeakByUrl" linkname="toDesignById" baseurl="~/GenericInquiry/GenericInquiry.aspx" paramnames="id" />
            <link from="SiteMap (Url)" to="GIDesign (Name)" type="WeakByUrl" linkname="toDesignByName" baseurl="~/GenericInquiry/GenericInquiry.aspx" />
            <link from="ListEntryPoint (ListScreenID)" to="SiteMap (ScreenID)" />
            <link from="SiteMap (ScreenID)" to="GIDesign (PrimaryScreenIDNew)" linkname="to1Screen" />
            <link from="SiteMap (NodeID)" to="SiteMap (ParentID)" type="WeakToParent" recursive-nesting="yes" include-parents="False" />
            <link from="FilterHeader (ScreenID)" to="SiteMap (ScreenID)" />
            <link from="FilterRow (FilterID)" to="FilterHeader (FilterID)" />
            <link from="PivotTable (NoteID)" to="FilterHeader (RefNoteID)" />
            <link from="PivotField (ScreenID, PivotTableID)" to="PivotTable (ScreenID, PivotTableID)" />
            <link from="MUIScreen (NodeID)" to="SiteMap (NodeID)" />
            <link from="MUIWorkspace (WorkspaceID)" to="MUIScreen (WorkspaceID)" type="FromMaster" linkname="workspaceToScreen" split-location="yes" updateable="True" />
            <link from="MUISubcategory (SubcategoryID)" to="MUIScreen (SubcategoryID)" type="FromMaster" updateable="True" />
            <link from="MUITile (ScreenID)" to="SiteMap (ScreenID)" />
            <link from="MUIWorkspace (WorkspaceID)" to="MUITile (WorkspaceID)" type="FromMaster" linkname="workspaceToTile" split-location="yes" updateable="True" />
            <link from="MUIArea (AreaID)" to="MUIWorkspace (AreaID)" type="FromMaster" updateable="True" />
            <link from="MUIPinnedScreen (NodeID, WorkspaceID)" to="MUIScreen (NodeID, WorkspaceID)" type="WeakIfEmpty" isEmpty="Username" />
            <link from="MUIFavoriteWorkspace (WorkspaceID)" to="MUIWorkspace (WorkspaceID)" type="WeakIfEmpty" isEmpty="Username" />
            <link from="GIDesign (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIFilter (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIFilter (NoteID)" to="GIFilterKvExt (RecordID)" type="RowKvExt" />
            <link from="GIGroupBy (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIOn (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIRelation (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIResult (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIResult (NoteID)" to="GIResultKvExt (RecordID)" type="RowKvExt" />
            <link from="GISort (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GITable (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIWhere (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="FilterHeader (NoteID)" to="Note (NoteID)" type="Note" />
        </relations>
        <layout>
            <table name="GIDesign">
                <table name="GIFilter" uplink="(DesignID) = (DesignID)">
                    <table name="Note" uplink="(NoteID) = (NoteID)" />
                    <table name="GIFilterKvExt" uplink="(NoteID) = (RecordID)" />
                </table>
                <table name="GIGroupBy" uplink="(DesignID) = (DesignID)">
                    <table name="Note" uplink="(NoteID) = (NoteID)" />
                </table>
                <table name="GIMassAction" uplink="(DesignID) = (DesignID)" />
                <table name="GIMassUpdateField" uplink="(DesignID) = (DesignID)" />
                <table name="GINavigationScreen" uplink="(DesignID) = (DesignID)">
                    <table name="GINavigationParameter" uplink="(DesignID, LineNbr) = (DesignID, NavigationScreenLineNbr)" />
                </table>
                <table name="GIRecordDefault" uplink="(DesignID) = (DesignID)" />
                <table name="GISort" uplink="(DesignID) = (DesignID)">
                    <table name="Note" uplink="(NoteID) = (NoteID)" />
                </table>
                <table name="GITable" uplink="(DesignID) = (DesignID)">
                    <table name="GIRelation" uplink="(DesignID, Alias) = (DesignID, ParentTable)">
                        <table name="GIOn" uplink="(DesignID, LineNbr) = (DesignID, RelationNbr)">
                            <table name="Note" uplink="(NoteID) = (NoteID)" />
                        </table>
                        <table name="Note" uplink="(NoteID) = (NoteID)" />
                    </table>
                    <table name="GIResult" uplink="(Alias, DesignID) = (ObjectName, DesignID)">
                        <table name="Note" uplink="(NoteID) = (NoteID)" />
                        <table name="GIResultKvExt" uplink="(NoteID) = (RecordID)" />
                    </table>
                    <table name="Note" uplink="(NoteID) = (NoteID)" />
                </table>
                <table name="GIWhere" uplink="(DesignID) = (DesignID)">
                    <table name="Note" uplink="(NoteID) = (NoteID)" />
                </table>
                <table name="SiteMap" uplink="(DesignID) = (Url)" recursion="(NodeID) = (ParentID)" linkname="toDesignById">
                    <table name="ListEntryPoint" uplink="(ScreenID) = (ListScreenID)" />
                    <table name="FilterHeader" uplink="(ScreenID) = (ScreenID)">
                        <table name="FilterRow" uplink="(FilterID) = (FilterID)" />
                        <table name="PivotTable" uplink="(RefNoteID) = (NoteID)">
                            <table name="PivotField" uplink="(ScreenID, PivotTableID) = (ScreenID, PivotTableID)" />
                        </table>
                        <table name="Note" uplink="(NoteID) = (NoteID)" />
                    </table>
                    <table name="MUIScreen" uplink="(NodeID) = (NodeID)">
                        <table name="MUIPinnedScreen" uplink="(NodeID, WorkspaceID) = (NodeID, WorkspaceID)" />
                    </table>
                    <table name="MUITile" uplink="(ScreenID) = (ScreenID)" />
                </table>
                <table name="SiteMap" uplink="(Name) = (Url)" recursion="(NodeID) = (ParentID)" linkname="toDesignByName">
                    <table name="ListEntryPoint" uplink="(ScreenID) = (ListScreenID)" />
                    <table name="FilterHeader" uplink="(ScreenID) = (ScreenID)">
                        <table name="FilterRow" uplink="(FilterID) = (FilterID)" />
                        <table name="PivotTable" uplink="(RefNoteID) = (NoteID)">
                            <table name="PivotField" uplink="(ScreenID, PivotTableID) = (ScreenID, PivotTableID)" />
                        </table>
                        <table name="Note" uplink="(NoteID) = (NoteID)" />
                    </table>
                    <table name="MUIScreen" uplink="(NodeID) = (NodeID)">
                        <table name="MUIPinnedScreen" uplink="(NodeID, WorkspaceID) = (NodeID, WorkspaceID)" />
                    </table>
                    <table name="MUITile" uplink="(ScreenID) = (ScreenID)" />
                </table>
                <table name="SiteMap" uplink="(PrimaryScreenIDNew) = (ScreenID)" recursion="(NodeID) = (ParentID)" linkname="to1Screen">
                    <table name="ListEntryPoint" uplink="(ScreenID) = (ListScreenID)" />
                    <table name="FilterHeader" uplink="(ScreenID) = (ScreenID)">
                        <table name="FilterRow" uplink="(FilterID) = (FilterID)" />
                        <table name="PivotTable" uplink="(RefNoteID) = (NoteID)">
                            <table name="PivotField" uplink="(ScreenID, PivotTableID) = (ScreenID, PivotTableID)" />
                        </table>
                        <table name="Note" uplink="(NoteID) = (NoteID)" />
                    </table>
                    <table name="MUIScreen" uplink="(NodeID) = (NodeID)">
                        <table name="MUIPinnedScreen" uplink="(NodeID, WorkspaceID) = (NodeID, WorkspaceID)" />
                    </table>
                    <table name="MUITile" uplink="(ScreenID) = (ScreenID)" />
                </table>
                <table name="Note" uplink="(NoteID) = (NoteID)" />
            </table>
            <table name="MUIWorkspace">
                <table name="MUIFavoriteWorkspace" uplink="(WorkspaceID) = (WorkspaceID)" />
            </table>
            <table name="MUISubcategory" />
            <table name="MUIArea" />
        </layout>
        <data>
            <GIDesign>
                <row DesignID="88b9d611-2f01-4d87-b781-233654aa52c3" Name="Pending Direct Delivery" FilterColCount="3" PageSize="0" ExportTop="0" NewRecordCreationEnabled="0" MassDeleteEnabled="0" AutoConfirmDelete="0" MassRecordsUpdateEnabled="0" MassActionsOnRecordsEnabled="0" ExposeViaOData="0" ExposeViaMobile="0">
                    <GIGroupBy LineNbr="2" IsActive="1" DataFieldName="SOLine.usrForeCastDate" />
                    <GIGroupBy LineNbr="1" IsActive="1" DataFieldName="SOOrder.orderNbr" />
                    <GITable Alias="SOShipLine" Name="PX.Objects.SO.SOShipLine" />
                    <GITable Alias="SOOrder" Name="PX.Objects.SO.SOOrder">
                        <GIRelation LineNbr="4" ChildTable="SOBillingContact" IsActive="1" JoinType="L">
                            <GIOn LineNbr="8" ParentField="billContactID" Condition="E " ChildField="contactID" Operation="A" />
                        </GIRelation>
                        <GIRelation LineNbr="1" ChildTable="SOLine" IsActive="1" JoinType="I">
                            <GIOn LineNbr="2" ParentField="orderNbr" Condition="E " ChildField="orderNbr" Operation="A" />
                            <GIOn LineNbr="1" ParentField="orderType" Condition="E " ChildField="orderType" Operation="A" />
                        </GIRelation>
                        <GIResult LineNbr="9" SortOrder="9" IsActive="1" Field="orderQty" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="0" RowID="e458dc1d-e266-4b78-8e0f-597823baf0b6" />
                        <GIResult LineNbr="8" SortOrder="8" IsActive="1" Field="customerID_description" Caption="Customer Name" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="fcf795e9-568d-4cb9-a35c-91ee0d53588f" />
                        <GIResult LineNbr="7" SortOrder="7" IsActive="1" Field="customerID" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="0" RowID="32e0bb1e-c747-4693-a217-2a9bf45095fe" />
                        <GIResult LineNbr="5" SortOrder="5" IsActive="1" Field="orderDate" Caption="Date" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="0" RowID="aff0441c-fdaa-4546-8a79-9f040e31ee45" />
                        <GIResult LineNbr="4" SortOrder="3" IsActive="1" Field="status" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="d8a4dd2f-8409-4cd3-b088-f8669fe764b1" />
                        <GIResult LineNbr="2" SortOrder="2" IsActive="1" Field="orderNbr" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="9d58c94a-489e-42c9-9a95-483e2418a3df" />
                        <GIResult LineNbr="1" SortOrder="1" IsActive="1" Field="orderType" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="c9b71963-d3ab-4ed7-ae90-7cf809e51837" />
                    </GITable>
                    <GITable Alias="SOLine" Name="PX.Objects.SO.SOLine">
                        <GIRelation LineNbr="5" ChildTable="SOShipLine" IsActive="1" JoinType="I">
                            <GIOn LineNbr="11" ParentField="lineNbr" Condition="E " ChildField="origLineNbr" Operation="A" />
                            <GIOn LineNbr="10" ParentField="orderNbr" Condition="E " ChildField="origOrderNbr" Operation="A" />
                            <GIOn LineNbr="9" ParentField="orderType" Condition="E " ChildField="origOrderType" Operation="A" />
                        </GIRelation>
                        <GIRelation LineNbr="2" ChildTable="ARTran" IsActive="1" JoinType="L">
                            <GIOn LineNbr="5" ParentField="lineNbr" Condition="E " ChildField="sOOrderLineNbr" Operation="A" />
                            <GIOn LineNbr="4" ParentField="orderNbr" Condition="E " ChildField="sOOrderNbr" Operation="A" />
                            <GIOn LineNbr="3" ParentField="orderType" Condition="E " ChildField="sOOrderType" Operation="A" />
                        </GIRelation>
                        <GIResult LineNbr="12" SortOrder="12" IsActive="1" Field="usrForeCastDate" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="0" RowID="1fd96afc-5ed5-4ef1-9c99-44c7ea4d159c" />
                        <GIResult LineNbr="6" SortOrder="6" IsActive="1" Field="requestDate" Caption="Delivery Date" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="0" RowID="da1b1d6b-39cb-4495-921a-2d9ca485fc95" />
                    </GITable>
                    <GITable Alias="SOBillingContact" Name="PX.Objects.SO.SOBillingContact">
                        <GIResult LineNbr="11" SortOrder="11" IsActive="1" Field="phone1" Caption="Customer Contact Number" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="0" RowID="4054b6cb-9449-4f21-8e7c-d1a259e21437" />
                        <GIResult LineNbr="10" SortOrder="10" IsActive="1" Field="phone1" Caption="Billing Contact Number" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="6bfb5d74-6e3b-478c-90a7-d23d4fad2f70" />
                    </GITable>
                    <GITable Alias="ARTran" Name="PX.Objects.AR.ARTran">
                        <GIRelation LineNbr="3" ChildTable="ARInvoice" IsActive="1" JoinType="L">
                            <GIOn LineNbr="7" ParentField="refNbr" Condition="E " ChildField="refNbr" Operation="A" />
                            <GIOn LineNbr="6" ParentField="tranType" Condition="E " ChildField="docType" Operation="A" />
                        </GIRelation>
                    </GITable>
                    <GITable Alias="ARInvoice" Name="PX.Objects.AR.ARInvoice">
                        <GIResult LineNbr="3" SortOrder="4" IsActive="1" Field="refNbr" Caption="Invoice Nbr" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="c2c70b4c-8a14-44f1-ac3d-20b5bceb3406" />
                    </GITable>
                    <GIWhere LineNbr="1" IsActive="1" DataFieldName="SOLine.usrConfirmShipment" Condition="E " IsExpression="1" Value1="D" Operation="A" />
                    <SiteMap linkname="toDesignById">
                        <row Position="1123" Title="Pending Direct Delivery" Url="~/GenericInquiry/GenericInquiry.aspx?id=88b9d611-2f01-4d87-b781-233654aa52c3" Expanded="0" IsFolder="0" ScreenID="GISPU107" NodeID="384253cd-b761-4c08-b2df-4ea2c43e8942" ParentID="12167736-ae7e-46ab-8a8c-dd4b86217519">
                            <MUIScreen IsPortal="0" WorkspaceID="bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb" Order="2630" SubcategoryID="98e86774-69e3-41ea-b94f-eb2c7a8426d4" />
                            <SiteMap Position="830" Title="Primary Lists" Expanded="0" IsFolder="0" NodeID="12167736-ae7e-46ab-8a8c-dd4b86217519">
                                <SiteMap Position="74" Title="Hidden" Url="~/Frames/Default.aspx" Expanded="0" IsFolder="0" ScreenID="HD000000" NodeID="84351bc9-bf6c-48b5-9dea-f8207283b64a">
                                    <SiteMap Position="3" Title="Sitemap Root" Url="~/Frames/Default.aspx" Expanded="0" IsFolder="0" ScreenID="00000000" NodeID="00000000-0000-0000-0000-000000000000" />
                                </SiteMap>
                            </SiteMap>
                        </row>
                    </SiteMap>
                </row>
            </GIDesign>
            <MUIWorkspace>
                <row IsPortal="1" WorkspaceID="bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb" Order="5" Title="Data Views" Icon="poll" IsSystem="1" />
                <row IsPortal="0" WorkspaceID="bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb" Order="32" Title="Data Views" Icon="poll" IsSystem="1" />
            </MUIWorkspace>
            <MUISubcategory>
                <row IsPortal="1" SubcategoryID="98e86774-69e3-41ea-b94f-eb2c7a8426d4" Order="896" Name="Inquiries" Icon="" IsSystem="1" />
                <row IsPortal="0" SubcategoryID="98e86774-69e3-41ea-b94f-eb2c7a8426d4" Order="896" Name="Inquiries" Icon="" IsSystem="1" />
            </MUISubcategory>
        </data>
    </data-set>
</GenericInquiryScreen>